Summary: Library for Layout and Rendering of Text
Name: pango
Version: 1.50.14
Release: 5%{?dist}
License: LGPLv2+
URL: http://www.pango.org
%define maj_ver %(echo %{version} | cut -d. -f1)
%define min_ver %(echo %{version} | cut -d. -f2)
Source0: https://download.gnome.org/sources/%{name}/%{maj_ver}.%{min_ver}/%{name}-%{version}.tar.xz

BuildRequires: meson gcc gcc-c++ help2man
BuildRequires: pkgconfig(glib-2.0) >= 2.62
BuildRequires: pkgconfig(cairo) >= 1.12.10 pkgconfig(cairo-gobject) >= 1.12.10
BuildRequires: pkgconfig(freetype2) >= 2.1.5 pkgconfig(harfbuzz) >= 2.6.0
BuildRequires: pkgconfig(fontconfig) >= 2.13.0 pkgconfig(xft) >= 2.0.0
BuildRequires: pkgconfig(fribidi) >= 1.0.6 pkgconfig(libthai) >= 0.1.9
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires: glib2 >= 2.62
Requires: cairo >= 1.12.10
Requires: freetype >= 2.1.5 harfbuzz >= 2.6.0
Requires: fontconfig >= 2.13.0 libXft >= 2.0.0
Requires: libthai >= 0.1.9 fribidi >= 1.0.6

%description
Pango is a library for laying out and rendering of text, with an emphasis
on internationalization. It can be used anywhere that text layout is needed,
Pango is designed to be modular; the core Pango layout engine can be used 
with different font backends.

%package devel
Summary: Development files for pango
Requires: pango = %{version}-%{release}
Requires: glib2-devel >= 2.62
Requires: freetype-devel >= 2.1.5
Requires: fontconfig-devel >= 2.13.0
Requires: cairo-devel >= 1.12.10

%description devel
Development libraries and header files for using pango.

%package tests
Summary: Tests for pango
Requires: pango = %{version}-%{release}

%description tests
The pango-tests contains tests that can be used to verify
the functionality of the installed pango.

%prep
%autosetup

%build
%meson -Dinstall-tests=true
%meson_build

%install
%meson_install

%files
%license COPYING
%doc NEWS README.md
%{_bindir}/pango-list
%{_bindir}/pango-segmentation
%{_bindir}/pango-view
%{_libdir}/libpango*-*.so.*
%{_libdir}/girepository-1.0/Pango*.typelib
%{_mandir}/man1/pango-view.1*

%files devel
%{_libdir}/libpango*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Pango*.gir

%files tests
%{_libexecdir}/installed-tests/pango
%{_datadir}/installed-tests

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.50.14-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.50.14-4
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 rockerzhu <rockerzhu@tencent.com> - 1.50.14-3
- Rebuilt for harfbuzz 8.1.1

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 1.50.14-2
- Rebuilt for libXft 2.3.8

* Thu Jul 27 2023 kianli <kianli@tencent.com> - 1.50.14-1
- Upgrade to 1.50.14

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.50.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.50.8-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 22 2022 Wang Zhe <bessiewang@tencent.com> - 1.50.8-1
- initial build
